FROM eclipse-temurin:20-jdk-jammy
RUN set -x && apt-get update -yq && apt-get install --no-install-recommends -yq maven
WORKDIR /app
COPY pom.xml ./
RUN mvn dependency:resolve
COPY src ./src
CMD ["mvn", "spring-boot:run"]
